# List Invoices Lists all invoices. Endpoint: GET /billing/invoices Version: 1.0.0 Security: apiKeyAuth ## Header parameters: - `x-entity-id` (string) Optional entity ID for scoped access to entity-specific data ## Response 200 fields (application/json): - `id` (string, required) The unique identifier for the invoice - `name` (any) The name of the invoice - `customer_id` (string, required) The unique identifier for the customer - `line_item_ids` (array, required) List of line item IDs associated with the invoice - `invoice_date` (any) The date the invoice is scheduled to be sent - `due_date` (any) The date the invoice payment is due - `payment_method_types` (array, required) List of allowed payment methods for the invoice Enum: "BANK_TRANSFER", "CARD", "ACH_DIRECT_DEBIT", "INTERNATIONAL_WIRE", "USDC_ETHEREUM", "USDC_SOLANA", "USDC_BASE", "USDT_ETHEREUM", "CASH_SOLANA" - `send_email_on_creation` (boolean, required) Whether to send an email upon invoice creation - `additional_recipient_emails` (array, required) List of additional email addresses to receive the invoice - `note` (any) A note associated with the invoice - `collection_account_id` (string, required) The account ID where funds will be collected - `created_at` (string, required) The timestamp when the invoice was created - `updated_at` (any) The timestamp when the invoice was last updated